Enable File Conversion

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API will help automatically convert all files to Zoho WorkDrive's format while uploading to the user's my folders.

Endpoints

OAuth Scope

WorkDrive.teamfolders.UPDATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request PATCH \
  --url https://www.zohoapis.com/workdrive/api/v1/settings/{myfolder_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"is_document_conversion":true},"type":"settings"}}'

Path Parameters

myfolder_idstring(Required)

The unique ID of the team member's my folders.

Request Body

application/vnd.api+json

The setting attributes to update for the specified resource, such as sharing permissions, file conversion, viewer download access, or device settings.

dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
is_document_conversionboolean(Required)

Setting this as "true" or "false" will enable or disable automatic conversion of all files to Zoho WorkDrive's format while uploading to the user's my folders.

typestring(Required)

The JSON:API resource type. Always "settings".

Allowed Values :
Show Values
settingsCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "is_document_conversion": true
      },
      "type": "settings"
    }
  }
                
Show full

Response Example

CFN001

CFN001

R916

A001

U001

T028

T028

T015

T024

T020

R004

R915

R915

R1102

R1103

F000

200
200
400
401
403
404
409
500
Copied!
  {
    "data": {
      "id": "ly9zm0170fb40015f4e2297a144e2b68cfa68",
      "type": "settings",
      "attributes": {
        "allow_external_sharing": true,
        "data_template_setting": {},
        "create_file_as_draft": true,
        "allow_ws_to_change_conversion": true,
        "allow_my_folder_to_change_conversion": false,
        "allow_create_ws": 0,
        "email_in": {
          "is_enabled": false,
          "receive_external_mail": false
        },
        "is_external_share_enabled": true,
        "enable_org_logo": false,
        "is_document_conversion": true,
        "can_viewer_download": true,
        "setting_id": "ly9zm0170fb40015f4e2297a144e2b68cfa68"
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/settings/ly9zm0170fb40015f4e2297a144e2b68cfa68"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "CFN001",
        "title": "Custom function configuration failed"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R916",
        "title": "External User Email share allowed domains limit exceeds"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "A001",
        "title": "Invalid action type passed"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U001",
        "title": "User not logged in. Please Log in"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "T028",
        "title": "Cannot modify setting as external sharing is disabled in base parent"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "T015",
        "title": "Introduce local variable"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "T024",
        "title": "Cannot modify setting as external sharing is disabled in org"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "T020",
        "title": "Team admin not allowed to share document externally"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId passed. Please use a valid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R915",
        "title": "Add or remove allowed domains/users if external user with allowed domain enabled"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R1102",
        "title": "Custom Data Retention not Allowed for this edition"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R1103",
        "title": "Currently, the custom app retention is enabled. Therefore, updating the delete retention days is not allowed."
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
Show full